Subject: Re: [Bitcoin-development] New BIP: protocol for multisignature payments

From: Mike Hearn <[email-masked]>
Date: Sat, 31 Jan 2015 18:19:35 +0100

Hi Martin,

You're on the right lines. Your writeup is pretty similar to the high level
overview given here though:

https://en.bitcoin.it/wiki/Contracts#Example_2:_Escrow_and_dispute_mediation

To make 2-of-3 dispute mediation works requires implementing a wallet that
supports it, and the tools mediators need to manage incoming tickets, etc.
The BIP70 extension is probably the smallest part of the project.

On Sat, Jan 31, 2015 at 2:30 AM, Martin Habovštiak <
[email-masked]> wrote:

> Hello,
>
> I've been thinking about how to solve security problems of the servers
> holding huge amounts of bitcoins (exchanges, markets...) and came up
> with this idea: https://gist.github.com/Kixunil/2ec79cf40a53fb899ac5
>
> TL;DR: it's extension of BIP70 (but not fully compatible due to security
> reasons) which supports making of multisig transactions dynamically.
> (The most important thing is that the user provides his address.)
>
> What do you think? Is it a good way to solve the problem or do you know
> about something better? I would really like this or something similar
> implemented by wallets.
>
> Thank you for your feedback!
>
> Martin
>
>
> ------------------------------------------------------------------------------
> Dive into the World of Parallel Programming. The Go Parallel Website,
> sponsored by Intel and developed in partnership with Slashdot Media, is
> your
> hub for all things parallel software development, from weekly thought
> leadership blogs to news, videos, case studies, tutorials and more. Take a
> look and join the conversation now. http://goparallel.sourceforge.net/
> _______________________________________________
> Bitcoin-development mailing list
> [email-masked]
> https://lists.sourceforge.net/lists/listinfo/bitcoin-development
>
>